USE COWS
GO

/*MDS_EVENT_WIRED_TRPT*/
INSERT INTO dbo.MDS_EVENT_WIRED_TRPT 
	(FSA_MDS_EVENT_ID
		,MDS_TRPT_TYPE_ID
		,PRIM_BKUP_CD
		,BDWD_CHNL_NME
		,FMS_CKT_ID
		,PL_NBR
		,IP_NUA_ADR
		,OLD_CKT_ID
		,MULTI_LINK_CKT_CD
		,SPRINT_MNGD_CD
		,TELCO_ID
		,FOC_DT
		,TAB_SEQ_NBR
	)
Select	DISTINCT fmds.FSA_MDS_EVENT_ID
		,wred.MDS_TRNSPRT_TYPE_ID AS MDS_TRPT_TYPE_ID
		,wred.PRIM_BKUP_CD
		,'NA' AS BDWD_CHNL_NME --new field
		,wred.FMS_CKT_ID
		,wred.PL_NBR
		,wred.NUA_449_ADR AS  IP_NUA_ADR 
		,wred.OLD_CKT_ID
		,wred.MULTI_LINK_CKT_CD AS  MULTI_LINK_CKT_CD
		,wred.SPRINT_MNGD_CD
		,wred.TELCO_ID
		,wred.FOC_DT
		,fmds.TAB_SEQ_NBR 
	From dbo.MDS_EVENT_WIRED_TRNSPRT_DEV wred WITH (NOLOCK)
Inner Join	dbo.FSA_MDS_EVENT fmds WITH (NOLOCK) ON fmds.FSA_MDS_EVENT_ID = wred.FSA_MDS_EVENT_ID
	--WHERE EXISTS
	--		(
	--			SELECT 'X'
	--				FROM dbo.FSA_MDS_EVENT_NEW fmdsn WITH (NOLOCK)
	--				WHERE fmdsn.FSA_MDS_EVENT_ID = fmds.FSA_MDS_EVENT_ID
	--		)		

GO 

Update fmds
	Set fmds.WIRED_DEV_TRPT_REQR_CD = 1 
	From	dbo.FSA_MDS_EVENT_NEW fmds WITH (ROWLOCK)
	Where	fmds.WIRED_DEV_TRPT_REQR_CD	= 0
		AND EXISTS
			(
				SELECT 'X'
					FROM	dbo.MDS_EVENT_WIRED_TRPT wred WITH (NOLOCK)
					WHERE	wred.FSA_MDS_EVENT_ID = fmds.FSA_MDS_EVENT_ID
			)
